## jsxgraph 1.7.0+dfsg2

=== Makefile ===
.PHONY: test docs core core-min prettier release lint eslint readers

# Build tools
WEBPACK=./node_modules/.bin/webpack
MINIFYER=./node_modules/terser/bin/terser

# Code quality
LINT=./node_modules/.bin/jslint
ESLINT=./node_modules/eslint/bin/eslint.js
HINT=./node_modules/.bin/jshint
KARMA=node_modules/karma/bin/karma
PRETTIER=./node_modules/.bin/prettier

# System tools
CP=cp
CAT=cat
MKDIR=mkdir
RM=rm
CD=cd
ZIP=zip
UNZIP=unzip

# Directories
OUTPUT=distrib
BETA=beta
THIRDPARTY=3rdparty
BUILD=build
TMP=tmp
# BUILDBIN=$(BUILD)/bin
BUILDREADERS=tmpreaders

# API docs
JSDOC2=node ./node_modules/.bin/jsdoc2
JSDOC2PLG=doc/jsdoc-tk/plugins
JSDOC2PTCH=doc/jsdoc-tk/patches
JSDOC2TPL=doc/jsdoc-tk/template
JSDOC2TPLSTAT=$(JSDOC2TPL)/static
JSDOC2FLAGS=-v -p -t=$(JSDOC2TPL) -d=$(TMP)/docs

# Flags
MKDIRFLAGS=-p
RMFLAGS=-rf
ZIPFLAGS=-r

# Extract version number from package.json
VERSION=$(shell grep -o '"version": "[^"]*' package.json | grep -o '[^"]*$$')

# List of all included JavaScript files - required for docs, linters, and to build the readers
# Double quotes:
# FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/"\.(.+)"/,m)) print "src"m[1]".js" }')
# Single quotes:
FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/\x27\.(.+)\x27/,m)) print "src"m[1]".js" }')

# Lintlist - jessiecode.js is developed externally (github:jsxgraph/jessiecode) and won't be linted in here
LINTLIST=$(shell echo $(FILELIST) | sed 's/src\/parser\/jessiecode\.js//')
# LINTLIST=$(shell echo $(FILELIST))
LINTFLAGS=--bitwise true --white true --continue true
ESLINTFLAGS=

PRETTIERFLAGS=-w --print-width 96 --tab-width 4 --trailing-comma none

READERSOUT=tmpreaders/geonext.min.js tmpreaders/geogebra.min.js tmpreaders/intergeo.min.js tmpreaders/sketch.min.js

# Rules
all: core readers docs

core:
	# Build uncompressed AND minified files
	#   jsxgraphsrc.js, jsxgraphsrc.mjs, jsxgraphcore.js, jsxgraphcore.mjs and
	# copy them to the distrib directory.
	$(WEBPACK) --config config/webpack.config.js
	# Update version number in line 2 of file COPYRIGHT
	sed -i '2s/.*/    JSXGraph $(VERSION)/' COPYRIGHT
	# Prepend file to the jsxgraphcore.* files
	cat COPYRIGHT $(OUTPUT)/jsxgraphcore.js >$(OUTPUT)/tmp.file; mv $(OUTPUT)/tmp.file $(OUTPUT)/jsxgraphcore.js
	cat COPYRIGHT $(OUTPUT)/jsxgraphcore.mjs >$(OUTPUT)/tmp.file; mv $(OUTPUT)/tmp.file $(OUTPUT)/jsxgraphcore.mjs

core-min:
	echo "INFO: core-min deactivated. It is covered by core"

release: core docs
	$(MKDIR) $(MKDIRFLAGS) $(TMP)
	$(CP) $(OUTPUT)/jsxgraphcore.js $(TMP)/jsxgraphcore.js
	$(CP) $(OUTPUT)/jsxgraphsrc.js  $(TMP)/jsxgraphsrc.js
	$(CP) $(OUTPUT)/jsxgraphcore.mjs $(TMP)/jsxgraphcore.mjs
	$(CP) $(OUTPUT)/jsxgraphsrc.mjs  $(TMP)/jsxgraphsrc.mjs
	$(CP) $(OUTPUT)/jsxgraph.css    $(TMP)/jsxgraph.css
	$(CP) $(OUTPUT)/docs.zip        $(TMP)/docs.zip
	$(CP) src/index.d.ts            $(TMP)/index.d.ts
	$(CP) -r src/themes             $(TMP)/themes
	$(CP) README.md LICENSE.MIT LICENSE.LGPL $(TMP)/
	$(CD) $(TMP) && $(ZIP) $(ZIPFLAGS) jsxgraph.zip jsxgraph* themes/ index.d.ts docs.zip README.md LICENSE.*
	$(CP) $(TMP)/jsxgraph.zip $(OUTPUT)/jsxgraph.zip
	$(RM) $(RMFLAGS) $(TMP)

beta: docs
	# $(WEBPACK) --config config/webpack.config.js
	mkdir -p $(BETA)
	cp $(OUTPUT)/*.js $(BETA)
	cp $(OUTPUT)/*.mjs $(BETA)
	cp $(OUTPUT)/*.map $(BETA)
	cp $(OUTPUT)/*.css $(BETA)
	rm -fr $(BETA)/docs
	cp -r $(OUTPUT)/docs/ $(BETA)/docs
	# Update version number in line 2 of file COPYRIGHT
	sed -i '2s/.*/    JSXGraph $(VERSION)/' COPYRIGHT
	# Prepend file to the jsxgraphcore.* files
	cat COPYRIGHT $(BETA)/jsxgraphcore.js >$(BETA)/tmp.file; mv $(BETA)/tmp.file $(BETA)/jsxgraphcore.js
	cat COPYRIGHT $(BETA)/jsxgraphcore.mjs >$(BETA)/tmp.file; mv $(BETA)/tmp.file $(BETA)/jsxgraphcore.mjs

docs: core
	# Set up tmp dir
	$(MKDIR) $(MKDIRFLAGS) $(TMP)
	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)

	# Update template related files
	$(CP) $(THIRDPARTY)/jquery.min.js $(JSDOC2TPLSTAT)/jquery.min.js
	$(CP) $(OUTPUT)/jsxgraphcore.js   $(JSDOC2TPLSTAT)/jsxgraphcore.js
	$(CP) $(OUTPUT)/jsxgraph.css      $(JSDOC2TPLSTAT)/jsxgraph.css

	# Update version number in line 2 of file doc/jsdoc-tk/template/static/header.html
	sed -i '2s/.*/<h1>JSXGraph $(VERSION) Reference<\/h1>/' doc/jsdoc-tk/template/static/header.html

	# Patch run.js
	$(CP) $(JSDOC2PTCH)/*.js ./node_modules/jsdoc2/app

	# Update the plugin
	$(CP) $(JSDOC2PLG)/*.js ./node_modules/jsdoc2/app/plugins/

	# Run node-jsdoc2
	$(JSDOC2) $(JSDOC2FLAGS) $(FILELIST)

	# Compress the result: zip -r tmp/docs.zip tmp/docs/
	$(CD) $(TMP) && $(ZIP) $(ZIPFLAGS) docs.zip docs/
	$(CP) $(TMP)/docs.zip $(OUTPUT)/docs.zip
	$(RM) $(RMFLAGS) tmp

	# Test
	$(CD) $(OUTPUT) && $(UNZIP) -o docs.zip

# prettier:
# 	$(PRETTIER) $(PRETTIERFLAGS) src

readers: $(READERSOUT)
	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)
	$(CP) $(BUILDREADERS)/* $(OUTPUT)
	$(RM) $(RMFLAGS) $(BUILDREADERS)

tmpreaders/%.min.js: src/reader/%.js
	$(MKDIR) $(MKDIRFLAGS) $(BUILDREADERS)
	{ $(CAT) COPYRIGHT; $(MINIFYER) $^ -c -m ; } > $@

compressor: core
	$(WEBPACK) --config config/webpack.config.compressor.js
	$(CP) $(OUTPUT)/jsxgraph.css    JSXCompressor/jsxgraph.css

plot:
	$(MKDIR) $(MKDIRFLAGS) $(BUILDBIN)
	$(WEBPACK) --config config/webpack.config.plot.js

hint:
	$(HINT) $(LINTLIST)

lint:
	$(LINT) $(LINTFLAGS) $(LINTLIST)

eslint:
	$(ESLINT) $(ESLINTFLAGS) $(LINTLIST)

test: core
	$(KARMA) start karma/karma.conf.js

=== debian/changelog ===
jsxgraph (1.7.0+dfsg2-1) unstable; urgency=medium

  * modified the patch for Makefile, to replace a tricky awk command
    by a simpler sed expression.
  * clean some more generated files by d/rules
  * added d/salsa-ci.yml
  * made a debian patch to insert jessiecode.js into the source tree

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 14 Feb 2024 15:58:10 +0100

jsxgraph (1.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.7.0+dfsg1
  * refreshed debian patches
  * replaced the dependency on jsdoc-toolkit by a dependency on node-jsdoc2

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2024 15:59:37 +0100

jsxgraph (1.6.2+dfsg1-2) unstable; urgency=medium

  * improved d/ruels to clean generated files. Closes: #1048866

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Nov 2023 18:45:55 +0100

jsxgraph (1.6.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.6.2+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 16 Oct 2023 09:16:22 +0200

=== debian/control ===
Source: jsxgraph
Section: devel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep:
 node-jsdoc2,
 yui-compressor,
 node-almond,
 node-requirejs,
 node-path-browserify,
 terser,
 zip,
 webpack,
 eslint,
 python3,
 dh-python,
 apache2-dev
Standards-Version: 4.6.2
Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph
Vcs-Git: https://salsa.debian.org/georgesk/jsxgraph.git

Package: jsxgraph
Architecture: all
Pre-Depends: python3
Depends: ${misc:Depends}, ${python3:Depends}, libjs-prototype, libjs-jquery,
 jsxcompressor
Suggests: jsxgraph-examples
Description: Interactive Geometry with JavaScript
 JSXGraph is a cross-browser library to display interactive geometry in a
 web browser. It is implemented in JavaScript and uses SVG and VML.
 At the moment the following browsers are supported: Mozilla Firefox,
 Opera, Safari, Google Chrome, Microsoft Internet Explorer.
 .
 There are still some issues with JSXGraph in the Internet Explorer, so
 using Firefox, Opera, Safari or Chrome is recommended.
 .
 JSXGraph is easy to embed and has a small footprint: only 50 kB if
 embedded in a web page. No plugins are required!

Package: jsxcompressor
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Pure Javascript implementation of deflate, unzip, base64_decode
 This package is intended to provide  a pure JavaScript implementation of
 DEFLATE, unzip and base64_decode for JSXGraph. This can be used for
 delivering compressed JavaScript inside of an HTML file.
 .
 JSXGraph is a cross-browser library to display interactive geometry in a
  web browser.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with apache2 --with python3

DESTDIR = debian/jsxgraph

override_dh_auto_clean:
	for f in  distrib/jsxgraphcore.mjs \
	   distrib/jsxgraphcore.mjs.map \
	   distrib/jsxgraphsrc.js \
	   distrib/jsxgraphsrc.mjs \
	   distrib/jsxgraphsrc.mjs.map; do \
		rm -f $$f; \
	done
	rm -f distrib/geogebra.min.js \
	      distrib/geonext.min.js \
	      distrib/intergeo.min.js \
	      distrib/sketch.min.js
	dh_auto_clean


DISTRIB_DIR = $(DESTDIR)/usr/share/javascript/jsxgraph/distrib
override_dh_install:
	dh_install
	install -d $(DESTDIR)/etc/apache2/conf-available
	install -m 644 apache.conf $(DESTDIR)/etc/apache2/conf-available/jsxgraph.conf
	# remove wrong exec flags
	find $(DESTDIR)/usr/share/jsxgraph/examples/bspnc/ -type f -name "*.gxt" -exec chmod -x "{}" \;
	# replace embedded jquery.min.js
	rm -f $(DISTRIB_DIR)/docs/static/jquery.min.js
	ln -sf /usr/share/javascript/jquery/jquery.min.js \
	  $(DISTRIB_DIR)/docs/static/
	# remove privacy breaches using google styles from generated files
	for f in $$(find $(DISTRIB_DIR)/docs -name "*.htm*"); do \
	  sed -i 's/.*google.*//' $$f; \
	done

## jsxgraph 1.9.2+dfsg1

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,10 @@
 # List of all included JavaScript files - required for docs, linters, and to build the readers
 # Double quotes:
 # FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/"\.(.+)"/,m)) print "src"m[1]".js" }')
-# Single quotes:
-FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/\x27\.(.+)\x27/,m)) print "src"m[1]".js" }')
+# Single quotes: before endings .js have been added:
+# FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/\x27\.(.+)\x27/,m)) print "src"m[1]".js" }')
+# Single quotes: after endings .js have been added:
+FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/\x27\.(.+)\x27/,m)) print "src"m[1] }')
 
 # Lintlist - jessiecode.js is developed externally (github:jsxgraph/jessiecode) and won't be linted in here
 LINTLIST=$(shell echo $(FILELIST) | sed 's/src\/parser\/jessiecode\.js//')
@@ -167,5 +169,6 @@
 eslint:
 	$(ESLINT) $(ESLINTFLAGS) $(LINTLIST)
 
+# test:
 test: core
 	$(KARMA) start karma/karma.conf.js

=== debian/changelog ===
jsxgraph (1.9.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.9.2+dfsg1
  * Refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 02 Jul 2024 18:08:31 +0200

jsxgraph (1.9.1+dfsg1-3) unstable; urgency=medium

  * fixed debian/patches/40Makefile.patch: awk works no longer as expected
    in debian/unstable, replace it by sed to parse the file src/index.js

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 18 Jun 2024 17:02:40 +0200

jsxgraph (1.9.1+dfsg1-2) unstable; urgency=medium

  * fixed debian/patches/40Makefile.patch

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2024 17:46:25 +0200

jsxgraph (1.9.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.9.1+dfsg1
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2024 17:20:23 +0200

jsxgraph (1.8.0+dfsg1-1) unstable; urgency=medium

  * removed generated files
  * trying to make a reproducible build
  * fixed a missing dash in tar command
  * do not install the same archive twice
  * ensure the existence of $(DISTRIB_DIR)/docs/static/
  * New upstream version 1.8.0+dfsg1
  * removed  JSXCompressor/*min.js from excluded patterns in d/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 12 Mar 2024 08:02:06 +0100

## jsxgraph 1.10.1+dfsg1

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,8 @@
 # Single quotes: before endings .js have been added:
 # FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/\x27\.(.+)\x27/,m)) print "src"m[1]".js" }')
 # Single quotes: after endings .js have been added:
-FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/\x27\.(.+)\x27/,m)) print "src"m[1] }')
+# Requires gawk!!!
+FILELIST=$(shell cat src/index.js | gawk '/import/ {if (match($$0,/\x27\.(.+)\x27/,m)) print "src"m[1] }')
 
 # Lintlist - jessiecode.js is developed externally (github:jsxgraph/jessiecode) and won't be linted in here
 LINTLIST=$(shell echo $(FILELIST) | sed 's/src\/parser\/jessiecode\.js//')

=== debian/changelog ===
jsxgraph (1.10.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.10.1+dfsg1, with no CGI routine distributed;
    Closes: #1084694
  * refreshed debian patches
  * added the upstream path src/unused to Files-Excluded list in d/copyright
  * new build dependency: gawk

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Oct 2024 13:35:09 +0200

jsxgraph (1.10.0+dfsg1-1) UNRELEASED; urgency=medium

  * New upstream version 1.10.0+dfsg1
  * updated debian patch 40-Makefile.patch

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 08 Oct 2024 15:08:08 +0200

## jsxgraph 1.11.1%2Bdfsg1

=== debian/changelog ===
jsxgraph (1.11.1+dfsg1-1) unstable; urgency=medium

  * applied a recipe from
    https://wiki.debian.org/ReproducibleBuilds/TimestampsInZip
  * New upstream version 1.11.1+dfsg1
  * Updated debian patch 40Makefile.patch

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jul 2025 09:54:53 +0200

jsxgraph (1.10.1+dfsg1-2) unstable; urgency=medium

  * force the timestamps for files copied to $(TMP) before zipping them
    (recipe: https://wiki.debian.org/ReproducibleBuilds/TimestampsInZip)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Oct 2024 15:06:30 +0200

## jsxgraph 1.11.1+dfsg1

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
  eslint,
  python3,
  dh-python,
- apache2-dev
+ apache2-dev,
+ gawk,
 Standards-Version: 4.6.2
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph

## jsxgraph 1.12.0+dfsg1

=== Makefile ===
--- 
+++ 
@@ -62,7 +62,8 @@
 
 PRETTIERFLAGS=-w --print-width 96 --tab-width 4 --trailing-comma none
 
-READERSOUT=tmpreaders/geonext.min.js tmpreaders/geogebra.min.js tmpreaders/intergeo.min.js tmpreaders/sketch.min.js
+READERSOUT=tmpreaders/geonext.min.js tmpreaders/geogebra.min.js tmpreaders/intergeo.min.js
+# tmpreaders/sketch.min.js
 
 # Rules
 all: core readers docs
@@ -111,7 +112,9 @@
 	cat COPYRIGHT $(BETA)/jsxgraphcore.js >$(BETA)/tmp.file; mv $(BETA)/tmp.file $(BETA)/jsxgraphcore.js
 	cat COPYRIGHT $(BETA)/jsxgraphcore.mjs >$(BETA)/tmp.file; mv $(BETA)/tmp.file $(BETA)/jsxgraphcore.mjs
 
-docs: core
+docs: core docsonly
+
+docsonly: 
 	# Set up tmp dir
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)
 	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)

=== doc/Makefile ===
all :  jsxgraph_refcard.pdf
jsxgraph_refcard.pdf : jsxgraph_refcard.ps
	gs -sDEVICE=pdfwrite -dBATCH -dNOPAUSE -sOutputFile=jsxgraph_refcard.pdf jsxgraph_refcard.ps

jsxgraph_refcard.ps : jsxgraph_refcard.dvi
	dvips -t landscape jsxgraph_refcard.dvi -o

jsxgraph_refcard.dvi : jsxgraph_refcard.tex
	tex jsxgraph_refcard.tex

clean: ; - rm jsxgraph_refcard.ps jsxgraph_refcard.dvi jsxgraph_refcard.pdf jsxgraph_refcard.log *.*~

=== examples/ggb/Makefile ===
all: ggb.bnf.js

ggb.bnf.js: grammar.txt jscc/jscc/jscc_rhino.js jscc/jscc/driver_unpacked.js_
	rhino jscc/jscc/jscc_rhino.js -v -w -o ggb.bnf.js -t jscc/jscc/driver_unpacked.js_ grammar.txt

=== debian/changelog ===
jsxgraph (1.12.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.12.0+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Oct 2025 10:17:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	find $(DESTDIR)/usr/share/jsxgraph/examples/bspnc/ -type f -name "*.gxt" -exec chmod -x "{}" \;
 	# replace embedded jquery.min.js
 	rm -f $(DISTRIB_DIR)/docs/static/jquery.min.js
+	mkdir -p $(DISTRIB_DIR)/docs/static
 	ln -sf /usr/share/javascript/jquery/jquery.min.js \
 	  $(DISTRIB_DIR)/docs/static/
 	# remove privacy breaches using google styles from generated files

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%jsxgraph-$1.tar.gz%, dversionmangle=s/\+dfsg\d?//, repack, repacksuffix=+dfsg1, compression=gz" \
  https://github.com/jsxgraph/jsxgraph/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz \
  debian uupdate

## jsxgraph 1.12.2+dfsg1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # Code quality
 LINT=./node_modules/.bin/jslint
-ESLINT=./node_modules/eslint/bin/eslint.js
+ESLINT=./node_modules/eslint/bin/eslint.js 
 HINT=./node_modules/.bin/jshint
 KARMA=node_modules/karma/bin/karma
 PRETTIER=./node_modules/.bin/prettier
@@ -75,6 +75,8 @@
 	$(WEBPACK) --config config/webpack.config.js
 	# Update version number in line 2 of file COPYRIGHT
 	sed -i '2s/.*/    JSXGraph $(VERSION)/' COPYRIGHT
+	# Update version number in line 2 of file jsxgraph.css
+	sed -i '2s/.*/    JSXGraph $(VERSION)/' $(OUTPUT)/jsxgraph.css
 	# Prepend file to the jsxgraphcore.* files
 	cat COPYRIGHT $(OUTPUT)/jsxgraphcore.js >$(OUTPUT)/tmp.file; mv $(OUTPUT)/tmp.file $(OUTPUT)/jsxgraphcore.js
 	cat COPYRIGHT $(OUTPUT)/jsxgraphcore.mjs >$(OUTPUT)/tmp.file; mv $(OUTPUT)/tmp.file $(OUTPUT)/jsxgraphcore.mjs
@@ -173,6 +175,9 @@
 eslint:
 	$(ESLINT) $(ESLINTFLAGS) $(LINTLIST)
 
-# test:
 test: core
 	$(KARMA) start karma/karma.conf.js
+
+testchromium: core
+	export CHROME_BIN=/usr/bin/chromium; $(KARMA) start karma/karma.conf.js
+

=== debian/changelog ===
jsxgraph (1.12.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.12.2+dfsg1
  * refreshed one debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Nov 2025 10:03:34 +0100
